Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network222.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
222.0.0.0
Broadcast address
223.255.255.255
First usable
222.0.0.1
Last usable
223.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
C (default /24)
As numbers
Hex DE000000 · Integer 3724541952 to 3758096383
Reverse DNS zones
222.in-addr.arpa
223.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11011110.00000000.00000000.00000000222.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11011110.00000000.00000000.00000000222.0.0.0
Broadcast11011111.11111111.11111111.11111111223.255.255.255
Split into smaller subnets/16

222.0.0.0/7 makes 512 subnets of /16; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1222.0.0.0/16222.0.0.1 to 222.0.255.254222.0.255.25565,534
2222.1.0.0/16222.1.0.1 to 222.1.255.254222.1.255.25565,534
3222.2.0.0/16222.2.0.1 to 222.2.255.254222.2.255.25565,534
4222.3.0.0/16222.3.0.1 to 222.3.255.254222.3.255.25565,534
5222.4.0.0/16222.4.0.1 to 222.4.255.254222.4.255.25565,534
6222.5.0.0/16222.5.0.1 to 222.5.255.254222.5.255.25565,534
7222.6.0.0/16222.6.0.1 to 222.6.255.254222.6.255.25565,534
8222.7.0.0/16222.7.0.1 to 222.7.255.254222.7.255.25565,534
9222.8.0.0/16222.8.0.1 to 222.8.255.254222.8.255.25565,534
10222.9.0.0/16222.9.0.1 to 222.9.255.254222.9.255.25565,534
11222.10.0.0/16222.10.0.1 to 222.10.255.254222.10.255.25565,534
12222.11.0.0/16222.11.0.1 to 222.11.255.254222.11.255.25565,534
13222.12.0.0/16222.12.0.1 to 222.12.255.254222.12.255.25565,534
14222.13.0.0/16222.13.0.1 to 222.13.255.254222.13.255.25565,534
15222.14.0.0/16222.14.0.1 to 222.14.255.254222.14.255.25565,534
16222.15.0.0/16222.15.0.1 to 222.15.255.254222.15.255.25565,534
17222.16.0.0/16222.16.0.1 to 222.16.255.254222.16.255.25565,534
18222.17.0.0/16222.17.0.1 to 222.17.255.254222.17.255.25565,534
19222.18.0.0/16222.18.0.1 to 222.18.255.254222.18.255.25565,534
20222.19.0.0/16222.19.0.1 to 222.19.255.254222.19.255.25565,534
21222.20.0.0/16222.20.0.1 to 222.20.255.254222.20.255.25565,534
22222.21.0.0/16222.21.0.1 to 222.21.255.254222.21.255.25565,534
23222.22.0.0/16222.22.0.1 to 222.22.255.254222.22.255.25565,534
24222.23.0.0/16222.23.0.1 to 222.23.255.254222.23.255.25565,534
25222.24.0.0/16222.24.0.1 to 222.24.255.254222.24.255.25565,534
26222.25.0.0/16222.25.0.1 to 222.25.255.254222.25.255.25565,534
27222.26.0.0/16222.26.0.1 to 222.26.255.254222.26.255.25565,534
28222.27.0.0/16222.27.0.1 to 222.27.255.254222.27.255.25565,534
29222.28.0.0/16222.28.0.1 to 222.28.255.254222.28.255.25565,534
30222.29.0.0/16222.29.0.1 to 222.29.255.254222.29.255.25565,534
31222.30.0.0/16222.30.0.1 to 222.30.255.254222.30.255.25565,534
32222.31.0.0/16222.31.0.1 to 222.31.255.254222.31.255.25565,534
33222.32.0.0/16222.32.0.1 to 222.32.255.254222.32.255.25565,534
34222.33.0.0/16222.33.0.1 to 222.33.255.254222.33.255.25565,534
35222.34.0.0/16222.34.0.1 to 222.34.255.254222.34.255.25565,534
36222.35.0.0/16222.35.0.1 to 222.35.255.254222.35.255.25565,534
37222.36.0.0/16222.36.0.1 to 222.36.255.254222.36.255.25565,534
38222.37.0.0/16222.37.0.1 to 222.37.255.254222.37.255.25565,534
39222.38.0.0/16222.38.0.1 to 222.38.255.254222.38.255.25565,534
40222.39.0.0/16222.39.0.1 to 222.39.255.254222.39.255.25565,534
41222.40.0.0/16222.40.0.1 to 222.40.255.254222.40.255.25565,534
42222.41.0.0/16222.41.0.1 to 222.41.255.254222.41.255.25565,534
43222.42.0.0/16222.42.0.1 to 222.42.255.254222.42.255.25565,534
44222.43.0.0/16222.43.0.1 to 222.43.255.254222.43.255.25565,534
45222.44.0.0/16222.44.0.1 to 222.44.255.254222.44.255.25565,534
46222.45.0.0/16222.45.0.1 to 222.45.255.254222.45.255.25565,534
47222.46.0.0/16222.46.0.1 to 222.46.255.254222.46.255.25565,534
48222.47.0.0/16222.47.0.1 to 222.47.255.254222.47.255.25565,534
49222.48.0.0/16222.48.0.1 to 222.48.255.254222.48.255.25565,534
50222.49.0.0/16222.49.0.1 to 222.49.255.254222.49.255.25565,534
51222.50.0.0/16222.50.0.1 to 222.50.255.254222.50.255.25565,534
52222.51.0.0/16222.51.0.1 to 222.51.255.254222.51.255.25565,534
53222.52.0.0/16222.52.0.1 to 222.52.255.254222.52.255.25565,534
54222.53.0.0/16222.53.0.1 to 222.53.255.254222.53.255.25565,534
55222.54.0.0/16222.54.0.1 to 222.54.255.254222.54.255.25565,534
56222.55.0.0/16222.55.0.1 to 222.55.255.254222.55.255.25565,534
57222.56.0.0/16222.56.0.1 to 222.56.255.254222.56.255.25565,534
58222.57.0.0/16222.57.0.1 to 222.57.255.254222.57.255.25565,534
59222.58.0.0/16222.58.0.1 to 222.58.255.254222.58.255.25565,534
60222.59.0.0/16222.59.0.1 to 222.59.255.254222.59.255.25565,534
61222.60.0.0/16222.60.0.1 to 222.60.255.254222.60.255.25565,534
62222.61.0.0/16222.61.0.1 to 222.61.255.254222.61.255.25565,534
63222.62.0.0/16222.62.0.1 to 222.62.255.254222.62.255.25565,534
64222.63.0.0/16222.63.0.1 to 222.63.255.254222.63.255.25565,534
65222.64.0.0/16222.64.0.1 to 222.64.255.254222.64.255.25565,534
66222.65.0.0/16222.65.0.1 to 222.65.255.254222.65.255.25565,534
67222.66.0.0/16222.66.0.1 to 222.66.255.254222.66.255.25565,534
68222.67.0.0/16222.67.0.1 to 222.67.255.254222.67.255.25565,534
69222.68.0.0/16222.68.0.1 to 222.68.255.254222.68.255.25565,534
70222.69.0.0/16222.69.0.1 to 222.69.255.254222.69.255.25565,534
71222.70.0.0/16222.70.0.1 to 222.70.255.254222.70.255.25565,534
72222.71.0.0/16222.71.0.1 to 222.71.255.254222.71.255.25565,534
73222.72.0.0/16222.72.0.1 to 222.72.255.254222.72.255.25565,534
74222.73.0.0/16222.73.0.1 to 222.73.255.254222.73.255.25565,534
75222.74.0.0/16222.74.0.1 to 222.74.255.254222.74.255.25565,534
76222.75.0.0/16222.75.0.1 to 222.75.255.254222.75.255.25565,534
77222.76.0.0/16222.76.0.1 to 222.76.255.254222.76.255.25565,534
78222.77.0.0/16222.77.0.1 to 222.77.255.254222.77.255.25565,534
79222.78.0.0/16222.78.0.1 to 222.78.255.254222.78.255.25565,534
80222.79.0.0/16222.79.0.1 to 222.79.255.254222.79.255.25565,534
81222.80.0.0/16222.80.0.1 to 222.80.255.254222.80.255.25565,534
82222.81.0.0/16222.81.0.1 to 222.81.255.254222.81.255.25565,534
83222.82.0.0/16222.82.0.1 to 222.82.255.254222.82.255.25565,534
84222.83.0.0/16222.83.0.1 to 222.83.255.254222.83.255.25565,534
85222.84.0.0/16222.84.0.1 to 222.84.255.254222.84.255.25565,534
86222.85.0.0/16222.85.0.1 to 222.85.255.254222.85.255.25565,534
87222.86.0.0/16222.86.0.1 to 222.86.255.254222.86.255.25565,534
88222.87.0.0/16222.87.0.1 to 222.87.255.254222.87.255.25565,534
89222.88.0.0/16222.88.0.1 to 222.88.255.254222.88.255.25565,534
90222.89.0.0/16222.89.0.1 to 222.89.255.254222.89.255.25565,534
91222.90.0.0/16222.90.0.1 to 222.90.255.254222.90.255.25565,534
92222.91.0.0/16222.91.0.1 to 222.91.255.254222.91.255.25565,534
93222.92.0.0/16222.92.0.1 to 222.92.255.254222.92.255.25565,534
94222.93.0.0/16222.93.0.1 to 222.93.255.254222.93.255.25565,534
95222.94.0.0/16222.94.0.1 to 222.94.255.254222.94.255.25565,534
96222.95.0.0/16222.95.0.1 to 222.95.255.254222.95.255.25565,534
97222.96.0.0/16222.96.0.1 to 222.96.255.254222.96.255.25565,534
98222.97.0.0/16222.97.0.1 to 222.97.255.254222.97.255.25565,534
99222.98.0.0/16222.98.0.1 to 222.98.255.254222.98.255.25565,534
100222.99.0.0/16222.99.0.1 to 222.99.255.254222.99.255.25565,534
101222.100.0.0/16222.100.0.1 to 222.100.255.254222.100.255.25565,534
102222.101.0.0/16222.101.0.1 to 222.101.255.254222.101.255.25565,534
103222.102.0.0/16222.102.0.1 to 222.102.255.254222.102.255.25565,534
104222.103.0.0/16222.103.0.1 to 222.103.255.254222.103.255.25565,534
105222.104.0.0/16222.104.0.1 to 222.104.255.254222.104.255.25565,534
106222.105.0.0/16222.105.0.1 to 222.105.255.254222.105.255.25565,534
107222.106.0.0/16222.106.0.1 to 222.106.255.254222.106.255.25565,534
108222.107.0.0/16222.107.0.1 to 222.107.255.254222.107.255.25565,534
109222.108.0.0/16222.108.0.1 to 222.108.255.254222.108.255.25565,534
110222.109.0.0/16222.109.0.1 to 222.109.255.254222.109.255.25565,534
111222.110.0.0/16222.110.0.1 to 222.110.255.254222.110.255.25565,534
112222.111.0.0/16222.111.0.1 to 222.111.255.254222.111.255.25565,534
113222.112.0.0/16222.112.0.1 to 222.112.255.254222.112.255.25565,534
114222.113.0.0/16222.113.0.1 to 222.113.255.254222.113.255.25565,534
115222.114.0.0/16222.114.0.1 to 222.114.255.254222.114.255.25565,534
116222.115.0.0/16222.115.0.1 to 222.115.255.254222.115.255.25565,534
117222.116.0.0/16222.116.0.1 to 222.116.255.254222.116.255.25565,534
118222.117.0.0/16222.117.0.1 to 222.117.255.254222.117.255.25565,534
119222.118.0.0/16222.118.0.1 to 222.118.255.254222.118.255.25565,534
120222.119.0.0/16222.119.0.1 to 222.119.255.254222.119.255.25565,534
121222.120.0.0/16222.120.0.1 to 222.120.255.254222.120.255.25565,534
122222.121.0.0/16222.121.0.1 to 222.121.255.254222.121.255.25565,534
123222.122.0.0/16222.122.0.1 to 222.122.255.254222.122.255.25565,534
124222.123.0.0/16222.123.0.1 to 222.123.255.254222.123.255.25565,534
125222.124.0.0/16222.124.0.1 to 222.124.255.254222.124.255.25565,534
126222.125.0.0/16222.125.0.1 to 222.125.255.254222.125.255.25565,534
127222.126.0.0/16222.126.0.1 to 222.126.255.254222.126.255.25565,534
128222.127.0.0/16222.127.0.1 to 222.127.255.254222.127.255.25565,534
129222.128.0.0/16222.128.0.1 to 222.128.255.254222.128.255.25565,534
130222.129.0.0/16222.129.0.1 to 222.129.255.254222.129.255.25565,534
131222.130.0.0/16222.130.0.1 to 222.130.255.254222.130.255.25565,534
132222.131.0.0/16222.131.0.1 to 222.131.255.254222.131.255.25565,534
133222.132.0.0/16222.132.0.1 to 222.132.255.254222.132.255.25565,534
134222.133.0.0/16222.133.0.1 to 222.133.255.254222.133.255.25565,534
135222.134.0.0/16222.134.0.1 to 222.134.255.254222.134.255.25565,534
136222.135.0.0/16222.135.0.1 to 222.135.255.254222.135.255.25565,534
137222.136.0.0/16222.136.0.1 to 222.136.255.254222.136.255.25565,534
138222.137.0.0/16222.137.0.1 to 222.137.255.254222.137.255.25565,534
139222.138.0.0/16222.138.0.1 to 222.138.255.254222.138.255.25565,534
140222.139.0.0/16222.139.0.1 to 222.139.255.254222.139.255.25565,534
141222.140.0.0/16222.140.0.1 to 222.140.255.254222.140.255.25565,534
142222.141.0.0/16222.141.0.1 to 222.141.255.254222.141.255.25565,534
143222.142.0.0/16222.142.0.1 to 222.142.255.254222.142.255.25565,534
144222.143.0.0/16222.143.0.1 to 222.143.255.254222.143.255.25565,534
145222.144.0.0/16222.144.0.1 to 222.144.255.254222.144.255.25565,534
146222.145.0.0/16222.145.0.1 to 222.145.255.254222.145.255.25565,534
147222.146.0.0/16222.146.0.1 to 222.146.255.254222.146.255.25565,534
148222.147.0.0/16222.147.0.1 to 222.147.255.254222.147.255.25565,534
149222.148.0.0/16222.148.0.1 to 222.148.255.254222.148.255.25565,534
150222.149.0.0/16222.149.0.1 to 222.149.255.254222.149.255.25565,534
151222.150.0.0/16222.150.0.1 to 222.150.255.254222.150.255.25565,534
152222.151.0.0/16222.151.0.1 to 222.151.255.254222.151.255.25565,534
153222.152.0.0/16222.152.0.1 to 222.152.255.254222.152.255.25565,534
154222.153.0.0/16222.153.0.1 to 222.153.255.254222.153.255.25565,534
155222.154.0.0/16222.154.0.1 to 222.154.255.254222.154.255.25565,534
156222.155.0.0/16222.155.0.1 to 222.155.255.254222.155.255.25565,534
157222.156.0.0/16222.156.0.1 to 222.156.255.254222.156.255.25565,534
158222.157.0.0/16222.157.0.1 to 222.157.255.254222.157.255.25565,534
159222.158.0.0/16222.158.0.1 to 222.158.255.254222.158.255.25565,534
160222.159.0.0/16222.159.0.1 to 222.159.255.254222.159.255.25565,534
161222.160.0.0/16222.160.0.1 to 222.160.255.254222.160.255.25565,534
162222.161.0.0/16222.161.0.1 to 222.161.255.254222.161.255.25565,534
163222.162.0.0/16222.162.0.1 to 222.162.255.254222.162.255.25565,534
164222.163.0.0/16222.163.0.1 to 222.163.255.254222.163.255.25565,534
165222.164.0.0/16222.164.0.1 to 222.164.255.254222.164.255.25565,534
166222.165.0.0/16222.165.0.1 to 222.165.255.254222.165.255.25565,534
167222.166.0.0/16222.166.0.1 to 222.166.255.254222.166.255.25565,534
168222.167.0.0/16222.167.0.1 to 222.167.255.254222.167.255.25565,534
169222.168.0.0/16222.168.0.1 to 222.168.255.254222.168.255.25565,534
170222.169.0.0/16222.169.0.1 to 222.169.255.254222.169.255.25565,534
171222.170.0.0/16222.170.0.1 to 222.170.255.254222.170.255.25565,534
172222.171.0.0/16222.171.0.1 to 222.171.255.254222.171.255.25565,534
173222.172.0.0/16222.172.0.1 to 222.172.255.254222.172.255.25565,534
174222.173.0.0/16222.173.0.1 to 222.173.255.254222.173.255.25565,534
175222.174.0.0/16222.174.0.1 to 222.174.255.254222.174.255.25565,534
176222.175.0.0/16222.175.0.1 to 222.175.255.254222.175.255.25565,534
177222.176.0.0/16222.176.0.1 to 222.176.255.254222.176.255.25565,534
178222.177.0.0/16222.177.0.1 to 222.177.255.254222.177.255.25565,534
179222.178.0.0/16222.178.0.1 to 222.178.255.254222.178.255.25565,534
180222.179.0.0/16222.179.0.1 to 222.179.255.254222.179.255.25565,534
181222.180.0.0/16222.180.0.1 to 222.180.255.254222.180.255.25565,534
182222.181.0.0/16222.181.0.1 to 222.181.255.254222.181.255.25565,534
183222.182.0.0/16222.182.0.1 to 222.182.255.254222.182.255.25565,534
184222.183.0.0/16222.183.0.1 to 222.183.255.254222.183.255.25565,534
185222.184.0.0/16222.184.0.1 to 222.184.255.254222.184.255.25565,534
186222.185.0.0/16222.185.0.1 to 222.185.255.254222.185.255.25565,534
187222.186.0.0/16222.186.0.1 to 222.186.255.254222.186.255.25565,534
188222.187.0.0/16222.187.0.1 to 222.187.255.254222.187.255.25565,534
189222.188.0.0/16222.188.0.1 to 222.188.255.254222.188.255.25565,534
190222.189.0.0/16222.189.0.1 to 222.189.255.254222.189.255.25565,534
191222.190.0.0/16222.190.0.1 to 222.190.255.254222.190.255.25565,534
192222.191.0.0/16222.191.0.1 to 222.191.255.254222.191.255.25565,534
193222.192.0.0/16222.192.0.1 to 222.192.255.254222.192.255.25565,534
194222.193.0.0/16222.193.0.1 to 222.193.255.254222.193.255.25565,534
195222.194.0.0/16222.194.0.1 to 222.194.255.254222.194.255.25565,534
196222.195.0.0/16222.195.0.1 to 222.195.255.254222.195.255.25565,534
197222.196.0.0/16222.196.0.1 to 222.196.255.254222.196.255.25565,534
198222.197.0.0/16222.197.0.1 to 222.197.255.254222.197.255.25565,534
199222.198.0.0/16222.198.0.1 to 222.198.255.254222.198.255.25565,534
200222.199.0.0/16222.199.0.1 to 222.199.255.254222.199.255.25565,534
201222.200.0.0/16222.200.0.1 to 222.200.255.254222.200.255.25565,534
202222.201.0.0/16222.201.0.1 to 222.201.255.254222.201.255.25565,534
203222.202.0.0/16222.202.0.1 to 222.202.255.254222.202.255.25565,534
204222.203.0.0/16222.203.0.1 to 222.203.255.254222.203.255.25565,534
205222.204.0.0/16222.204.0.1 to 222.204.255.254222.204.255.25565,534
206222.205.0.0/16222.205.0.1 to 222.205.255.254222.205.255.25565,534
207222.206.0.0/16222.206.0.1 to 222.206.255.254222.206.255.25565,534
208222.207.0.0/16222.207.0.1 to 222.207.255.254222.207.255.25565,534
209222.208.0.0/16222.208.0.1 to 222.208.255.254222.208.255.25565,534
210222.209.0.0/16222.209.0.1 to 222.209.255.254222.209.255.25565,534
211222.210.0.0/16222.210.0.1 to 222.210.255.254222.210.255.25565,534
212222.211.0.0/16222.211.0.1 to 222.211.255.254222.211.255.25565,534
213222.212.0.0/16222.212.0.1 to 222.212.255.254222.212.255.25565,534
214222.213.0.0/16222.213.0.1 to 222.213.255.254222.213.255.25565,534
215222.214.0.0/16222.214.0.1 to 222.214.255.254222.214.255.25565,534
216222.215.0.0/16222.215.0.1 to 222.215.255.254222.215.255.25565,534
217222.216.0.0/16222.216.0.1 to 222.216.255.254222.216.255.25565,534
218222.217.0.0/16222.217.0.1 to 222.217.255.254222.217.255.25565,534
219222.218.0.0/16222.218.0.1 to 222.218.255.254222.218.255.25565,534
220222.219.0.0/16222.219.0.1 to 222.219.255.254222.219.255.25565,534
221222.220.0.0/16222.220.0.1 to 222.220.255.254222.220.255.25565,534
222222.221.0.0/16222.221.0.1 to 222.221.255.254222.221.255.25565,534
223222.222.0.0/16222.222.0.1 to 222.222.255.254222.222.255.25565,534
224222.223.0.0/16222.223.0.1 to 222.223.255.254222.223.255.25565,534
225222.224.0.0/16222.224.0.1 to 222.224.255.254222.224.255.25565,534
226222.225.0.0/16222.225.0.1 to 222.225.255.254222.225.255.25565,534
227222.226.0.0/16222.226.0.1 to 222.226.255.254222.226.255.25565,534
228222.227.0.0/16222.227.0.1 to 222.227.255.254222.227.255.25565,534
229222.228.0.0/16222.228.0.1 to 222.228.255.254222.228.255.25565,534
230222.229.0.0/16222.229.0.1 to 222.229.255.254222.229.255.25565,534
231222.230.0.0/16222.230.0.1 to 222.230.255.254222.230.255.25565,534
232222.231.0.0/16222.231.0.1 to 222.231.255.254222.231.255.25565,534
233222.232.0.0/16222.232.0.1 to 222.232.255.254222.232.255.25565,534
234222.233.0.0/16222.233.0.1 to 222.233.255.254222.233.255.25565,534
235222.234.0.0/16222.234.0.1 to 222.234.255.254222.234.255.25565,534
236222.235.0.0/16222.235.0.1 to 222.235.255.254222.235.255.25565,534
237222.236.0.0/16222.236.0.1 to 222.236.255.254222.236.255.25565,534
238222.237.0.0/16222.237.0.1 to 222.237.255.254222.237.255.25565,534
239222.238.0.0/16222.238.0.1 to 222.238.255.254222.238.255.25565,534
240222.239.0.0/16222.239.0.1 to 222.239.255.254222.239.255.25565,534
241222.240.0.0/16222.240.0.1 to 222.240.255.254222.240.255.25565,534
242222.241.0.0/16222.241.0.1 to 222.241.255.254222.241.255.25565,534
243222.242.0.0/16222.242.0.1 to 222.242.255.254222.242.255.25565,534
244222.243.0.0/16222.243.0.1 to 222.243.255.254222.243.255.25565,534
245222.244.0.0/16222.244.0.1 to 222.244.255.254222.244.255.25565,534
246222.245.0.0/16222.245.0.1 to 222.245.255.254222.245.255.25565,534
247222.246.0.0/16222.246.0.1 to 222.246.255.254222.246.255.25565,534
248222.247.0.0/16222.247.0.1 to 222.247.255.254222.247.255.25565,534
249222.248.0.0/16222.248.0.1 to 222.248.255.254222.248.255.25565,534
250222.249.0.0/16222.249.0.1 to 222.249.255.254222.249.255.25565,534
251222.250.0.0/16222.250.0.1 to 222.250.255.254222.250.255.25565,534
252222.251.0.0/16222.251.0.1 to 222.251.255.254222.251.255.25565,534
253222.252.0.0/16222.252.0.1 to 222.252.255.254222.252.255.25565,534
254222.253.0.0/16222.253.0.1 to 222.253.255.254222.253.255.25565,534
255222.254.0.0/16222.254.0.1 to 222.254.255.254222.254.255.25565,534
256222.255.0.0/16222.255.0.1 to 222.255.255.254222.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses